Subject: bug#18615: Can’t build parted

From: Phillip Susi <[email-masked]>
Date: Mon, 13 Oct 2014 11:47:17 -0400

On 10/2/2014 6:11 PM, Price, Eric - Exelis.Contractor wrote:
> Sir:
> 
> I download a tarball from:
> 
> http://ftp.gnu.org/gnu/parted/
> 
> I untar it – it seems to untar correctly
> 
> The instructions say to ./configure and make (from the man page)
> 
> 1.5 Building GNU Parted If you want to compile GNU Parted, this is
> generally done with: $ ./configure $ make
> 
> When I type in make I observe the following: There seems to be no
> Makefile in this directory You must run ./configure before running
> ‘make’ Make: *** [abort-due-to-no-makefile] Error 1
> 
> The is _no_ makefile in the directory
> 
> My question is how do I build it?

As with virtually all open source software, the configure script
creates the Makefile.